# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)
  * IGN: Patch was not reviewed as it is out of scope for CIP project


## v6.1.20
  - 7eaef76fbc462 Linux 6.1.20
  - 05650b267e67f UML: define RUNTIME_DISCARD_EXIT
  - bf899a4b1220d Revert "bpf, test_run: fix &xdp_frame misplacement for LIVE_FRAMES"
  - d663e13ca866d filelocks: use mount idmapping for setlease permission check
  - 38327b6cb1fa2 drm/amd/display: adjust MALL size available for DCN32 and DCN321
  - 02c8fa11f5459 drm/amd/display: Allow subvp on vactive pipes that are 2560x1440@60
  - 00e81f191bc00 media: rc: gpio-ir-recv: add remove function
  - 39111cedd7ba7 media: ov5640: Fix analogue gain control
  - 42d9fb70770f0 scripts: handle BrokenPipeError for python scripts
  - 9ba7b769cee0b PCI: Add SolidRun vendor ID
  - b655ba93b51fc macintosh: windfarm: Use unsigned type for 1-bit bitfields
  - 69c74104b0e92 alpha: fix R_ALPHA_LITERAL reloc for large modules
  - f69bbc0bd6d21 powerpc/kcsan: Exclude udelay to prevent recursive instrumentation
  - 07a5f4e69761e powerpc/64: Move paca allocation to early_setup()
  - be2e726fa03af powerpc/64: Fix task_cpu in early boot when booting non-zero cpuid
  - 5b5fab270f4db powerpc/bpf/32: Only set a stack frame when necessary
  - 71e9501458aa3 clk: renesas: rcar-gen3: Disable R-Car H3 ES1.*
  - 24c1bd1cd0d1f powerpc/iommu: fix memory leak with using debugfs_lookup()
  - ac872bb004c30 powerpc/64: Don't recurse irq replay
  - 5759afd5e5844 MIPS: Fix a compilation issue
  - e1f5c4c877af6 tpm/eventlog: Don't abort tpm_read_log on faulty ACPI address
  - 587a6fda90f35 watch_queue: fix IOC_WATCH_QUEUE_SET_SIZE alloc error paths
  - 09fa1a6b0cdd0 drm/msm/adreno: fix runtime PM imbalance at unbind
  - d1a3ca3ad486a adreno: Shutdown the GPU properly
  - 70f12dee2254d drm/amdgpu/soc21: Add video cap query support for VCN_4_0_4
  - 69a56ace8bc2a drm/amdgpu/soc21: don't expose AV1 if VCN0 is harvested
  - 2ef7f829214fa ext4: Fix deadlock during directory rename
  - dc7d4b1a65686 drm/amdgpu: fix return value check in kfd
  - 0a6321657eb82 RISC-V: Don't check text_mutex during stop_machine
  - 324912d6c0c40 riscv: Use READ_ONCE_NOCHECK in imprecise unwinding stack mode
  - 99e9188f9c55a erofs: Revert "erofs: fix kvcalloc() misuse with __GFP_NOFAIL"
  - ac1968ac39920 af_unix: fix struct pid leaks in OOB support
  - 056b022cfc01b net: dsa: mt7530: permit port 5 to work without port 6 on MT7621 SoC
  - 7a3720361068a SUNRPC: Fix a server shutdown leak
  - b93ed36b31c30 octeontx2-af: Unlock contexts in the queue context cache in case of fault detection
  - 4de04f8f633ce net/smc: fix fallback failed while sendmsg with fastopen
  - 1bd92191773d6 ethernet: ice: avoid gcc-9 integer overflow warning
  - accd7904318a7 ice: Fix DSCP PFC TLV creation
  - ad7760898469e NFSD: Protect against filesystem freezing
  - e5febcfbae939 block: fix wrong mode for blkdev_put() from disk_scan_partitions()
  - 49bfd991410b7 platform: x86: MLX_PLATFORM: select REGMAP instead of depending on it
  - d391a49ba1b20 platform: mellanox: select REGMAP instead of depending on it
  - 5b5b69e3185f4 netfilter: conntrack: adopt safer max chain length
  - b26b85b184693 scsi: sd: Fix wrong zone_write_granularity value during revalidate
  - 8f45d2f32c34d scsi: megaraid_sas: Update max supported LD IDs to 240
  - 715396cca2ce2 net: tls: fix device-offloaded sendpage straddling records
  - 0ce686fcab322 net: ethernet: mtk_eth_soc: fix RX data corruption issue
  - 324361de111d0 net: phy: smsc: fix link up detection in forced irq mode
  - f0c8306c1aa2a btf: fix resolving BTF_KIND_VAR after ARRAY, STRUCT, UNION, PTR
  - 17d0f2e8daa8d bpf, test_run: fix &xdp_frame misplacement for LIVE_FRAMES
  - 6a9379eba19be btrfs: fix extent map logging bit not cleared for split maps after dropping range
  - ceb089e2337f8 m68k: mm: Move initrd phys_to_virt handling after paging_init()
  - 079d37e1624c9 netfilter: tproxy: fix deadlock due to missing BH disable
  - 03b5128543d37 netfilter: ctnetlink: revert to dumping mark regardless of event type
  - fcae40e658025 bnxt_en: Avoid order-5 memory allocation for TPA data
  - 796ae31ca256d net: phylib: get rid of unnecessary locking
  - b734a6f300d5d net: stmmac: add to set device wake up flag when stmmac init phy
  - 0592b05c50858 drm/msm/dpu: clear DSPP reservations in rm release
  - 5ade9afa5c65f drm/msm/dpu: fix clocks settings for msm8998 SSPP blocks
  - f8049342f829d drm/msm/dpu: drop DPU_DIM_LAYER from MIXER_MSM8998_MASK
  - 1ef5491ca2a4e drm/msm/dpu: fix len of sc7180 ctl blocks
  - f45cf3ae3068e bpf, sockmap: Fix an infinite loop error when len is 0 in tcp_bpf_recvmsg_parser()
  - 90b40ab29298d ice: copy last block omitted in ice_get_module_eeprom()
  - 287027d8a5671 net: caif: Fix use-after-free in cfusbl_device_notify()
  - 34f099b34b42f net: lan78xx: fix accessing the LAN7800's internal phy specific registers from the MAC driver
  - 0b30a06b20e93 perf stat: Fix counting when initial delay configured
  - e8d7615d8f6f0 net: use indirect calls helpers for sk_exit_memory_pressure()
  - 14c17c673e1bb net: tls: fix possible race condition between do_tls_getsockopt_conf() and do_tls_setsockopt_conf()
  - 34869f8e713e7 netfilter: nft_quota: copy content when cloning expression
  - 227a7266fcd17 netfilter: nft_last: copy content when cloning expression
  - 5d241eb8a124c selftests: nft_nat: ensuring the listening side is up before starting the client
  - 6fac771473ca4 net: lan966x: Fix port police support using tc-matchall
  - 25b54f247ea06 ila: do not generate empty messages in ila_xlat_nl_cmd_get_mapping()
  - 78891a3c1e873 drm/msm/dpu: disable features unsupported by QCM2290
  - a3a087edd0497 tls: rx: fix return value for async crypto
  - a7e0439c25f90 powerpc: dts: t1040rdb: fix compatible string for Rev A boards
  - ce93f1afc0594 nfc: fdp: add null check of devm_kmalloc_array in fdp_nci_i2c_read_device_properties
  - 3ee0c9fb7f460 bgmac: fix *initial* chip reset to support BCM5358
  - 56d67b9788da6 drm/msm/a5xx: fix context faults during ring switch
  - ac3af300a2f87 drm/msm/a5xx: fix the emptyness check in the preempt code
  - 84053e7dc47b7 drm/msm/a5xx: fix highest bank bit for a530
  - d334248d199fa drm/msm/a5xx: fix setting of the CP_PREEMPT_ENABLE_LOCAL register
  - fa73f67ac0f1a drm/msm: Fix potential invalid ptr free
  - 5dca696143bf2 drm/nouveau/kms/nv50: fix nv50_wndw_new_ prototype
  - 512aa2fd8c9f6 cifs: improve checking of DFS links over STATUS_OBJECT_NAME_INVALID
  - b0bb13612292c ext4: Fix possible corruption when moving a directory
  - 17e98a5ede81b scsi: core: Remove the /proc/scsi/${proc_name} directory earlier
  - 0d14555f536a2 riscv: Add header include guards to insn.h
  - 82f713e8b8817 block: fix scan partition for exclusively open device again
  - 573e58f5e7e13 block: Revert "block: Do not reread partition table on exclusively open device"
  - 783c225e910fa drm/i915: Populate encoder->devdata for DSI on icl+
  - bd61a84b5eee4 drm/i915: Do panel VBT init early if the VBT declares an explicit panel type
  - e340197a45398 drm/i915: Introduce intel_panel_init_alloc()
  - 87228e1c18dc4 spi: intel: Check number of chip selects after reading the descriptor
  - 9858e0fb32b69 ipmi:ssif: Add a timer between request retries
  - 8a676b6eb2d5b ipmi:ssif: Increase the message retry time
  - f12869ff7643f ipmi:ssif: Remove rtc_us_timer
  - 526a177ac6353 Input: exc3000 - properly stop timer on shutdown
  - 86e9eb69c0e79 bus: mhi: ep: Change state_lock to mutex
  - b6dc68ac967a2 bus: mhi: ep: Power up/down MHI stack during MHI RESET
  - 9ee18ff099b0d udf: Fix off-by-one error when discarding preallocation
  - a926daa8b13c1 fs: dlm: fix race setting stop tx flag
  - 3c1bc8ded4e48 fs: dlm: be sure to call dlm_send_queue_flush()
  - 29682b8a3dbae fs: dlm: use WARN_ON_ONCE() instead of WARN_ON()
  - a3b0e9ac3c244 fs: dlm: fix use after free in midcomms commit
  - 387c303894949 fd: dlm: trace send/recv of dlm message and rcom
  - 8885e12aa107f fs: dlm: use packet in dlm_mhandle
  - cb2849caad029 fs: dlm: remove send repeat remove handling
  - 14c5a584cbf20 fs: dlm: start midcomms before scand
  - f78892061075c fs: dlm: add midcomms init/start functions
  - e7935f5af4261 fs: dlm: fix log of lowcomms vs midcomms
  - e136e969d268b KVM: VMX: Do _all_ initialization before exposing /dev/kvm to userspace
  - adc0dd8b04393 KVM: x86: Move guts of kvm_arch_init() to standalone helper
  - 5daa32be8c02f KVM: VMX: Don't bother disabling eVMCS static key on module exit
  - afb26bfc01db6 KVM: VMX: Reset eVMCS controls in VP assist page during hardware disabling
  - 4d72cdd639094 nfc: change order inside nfc_se_io error path
  - 4cd8ffa488004 HID: uhid: Over-ride the default maximum data buffer value with our own
  - 5a144cfe35d85 HID: core: Provide new max_buffer_size attribute to over-ride the default
  - 9cb27b1e76f0c ext4: zero i_disksize when initializing the bootloader inode
  - 35161cec76772 ext4: fix WARNING in ext4_update_inline_data
  - 50a70036ac3af ext4: move where set the MAY_INLINE_DATA flag is set
  - eb3a695aa71a5 ext4: fix another off-by-one fsmap error on 1k block filesystems
  - f3b8cc218bd1b ext4: fix RENAME_WHITEOUT handling for inline directories
  - f327490e05004 ext4: fix cgroup writeback accounting with fs-layer encryption
  - f0417bf138afe staging: rtl8723bs: Pass correct parameters to cfg80211_get_bss()
  - 4a6d23b76c120 staging: rtl8723bs: Fix key-store index handling
  - 8d2ca666a7b41 drm/connector: print max_requested_bpc in state debugfs
  - 9f6f6f42b9ef6 drm/display: Don't block HDR_OUTPUT_METADATA on unknown EOTF
  - d07d152d762d7 drm/amdgpu: fix error checking in amdgpu_read_mm_registers for nv
  - a11e210dc595a drm/amdgpu: fix error checking in amdgpu_read_mm_registers for soc21
  - 39190482e5d09 drm/amdgpu: fix error checking in amdgpu_read_mm_registers for soc15
  - cc4dd679912de x86/CPU/AMD: Disable XSAVES on AMD family 0x17
  - 1c39d126b51b3 RISC-V: Stop emitting attributes
  - 120f7a9287198 fork: allow CLONE_NEWTIME in clone3 flags
  - a36f845f57a98 perf inject: Fix --buildid-all not to eat up MMAP2
  - fa4056781ac06 erofs: fix wrong kunmap when using LZMA on HIGHMEM platforms
  - da8fab32a7125 io_uring/uring_cmd: ensure that device supports IOPOLL
  - fceed91ea1ba9 btrfs: fix percent calculation for bg reclaim message
  - 99d232798c065 btrfs: fix unnecessary increment of read error stat on write error
  - cec08b7d1ebcd fs: prevent out-of-bounds array speculation when closing a file descriptor
